﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace WinGridCellChageEvent
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Coll1", typeof(string)).DefaultValue = "one";
            dt.Rows.Add();
            ultraGrid1.DataSource = dt;
            foreach (var en in Enum.GetValues(typeof(Infragistics.Win.AutoCompleteMode)))
                ultraComboEditor1.Items.Add(en, en.ToString());
            ultraComboEditor1.DataBindings.Add(new Binding("Value",ultraGrid1.DisplayLayout.Bands[0].Columns[0],"AutoCompleteMode"));
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ValueList vl = new ValueList();
            vl.ValueListItems.Add("one", "One");
            vl.ValueListItems.Add("two", "Two");
            vl.ValueListItems.Add("three", "Three");
            vl.ValueListItems.Add("four", "Four");

            e.Layout.Bands[0].Columns[0].ValueList = vl;
            e.Layout.Bands[0].Columns[0].AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
        }

        private void ultraGrid1_CellChange(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            listBox1.Items.Add(string.Format("CellChange for {0}", ((EditorWithCombo) e.Cell.EditorResolved).Value));
        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            listBox1.Items.Add(string.Format("AutoCompleteMode was change to  {0}",  ultraComboEditor1.Value));
        }
    }
}
